import squint.*;

public class Differencer extends ImageFilter {

    private SImage orig;

    public Differencer( SImage theOrig ) {
        orig = theOrig;
    }
    
    public int [][] layerFilter( SImage other, int layer ) {
        int [][] others = other.getPixelArray( layer );
        int [][] shades = orig.getPixelArray( layer );
                
        if ( others.length == shades.length && others[0].length == shades[0].length ) {
            for ( int x = 0; x < shades.length; ++x ) {
                for ( int y = 0; y < shades[0].length; ++y ) {
                    others[x][y] = Math.abs(shades[x][y] - others[x][y]);
                }
            }
            return others;
        } else {
            return null;
        }
    }
    

}